!-------------------------------------------------------------------------------

!                      Code_Saturne version 5.3.3
!                      --------------------------
! This file is part of Code_Saturne, a general-purpose CFD tool.
!
! Copyright (C) 1998-2018 EDF S.A.
!
! This program is free software; you can redistribute it and/or modify it under
! the terms of the GNU General Public License as published by the Free Software
! Foundation; either version 2 of the License, or (at your option) any later
! version.
!
! This program is distributed in the hope that it will be useful, but WITHOUT
! ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
! FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
! details.
!
! You should have received a copy of the GNU General Public License along with
! this program; if not, write to the Free Software Foundation, Inc., 51 Franklin
! Street, Fifth Floor, Boston, MA 02110-1301, USA.

!-------------------------------------------------------------------------------

subroutine usvist &
 ( nvar   , nscal  , ncepdp , ncesmp ,                            &
   icepdc , icetsm , itypsm ,                                     &
   dt     ,                                                       &
   ckupdc , smacel )

!===============================================================================

!===============================================================================
! Module files
!===============================================================================

use paramx
use numvar
use optcal
use cstphy
use entsor
use parall
use period
use mesh
use field
use field_operator

!===============================================================================

implicit none

! Arguments

integer          nvar   , nscal
integer          ncepdp , ncesmp

integer          icepdc(ncepdp)
integer          icetsm(ncesmp), itypsm(ncesmp,nvar)
integer          iiscvr,  iel
integer          ilelt, nlelt



double precision dt(ncelet)
double precision ckupdc(6,ncepdp), smacel(ncesmp,nvar)
double precision pi, p, De, s2, Dh
double precision x_cell, z_cell, betaa, v_xz, ekis, gamma, vx_prime
double precision vt_chignon, alpha_ch, re_vt_ch, vz_prime, re_z_prime
double precision ReT_mu_st_ch, ReT_mu_al_ch, mut_z_ch, mut_T_al_ch
double precision mut_T_st_ch, mut_T_ch

double precision, dimension(:), pointer :: dens
double precision, dimension(:), pointer :: mu
double precision, dimension(:), pointer :: mu_t
double precision, dimension(:,:), pointer :: cvara_vel


character*80 chaine

integer, allocatable, dimension(:) :: lstelt
!===============================================================================

!--------
! Formats
!--------
! Allocate a temporary array for cells selection
allocate(lstelt(ncel))

call getcel('porous', nlelt, lstelt)

! Boucle sur les cellules de la selection nommée "porous"
do ilelt = 1, nlelt 

! print *, "la depuis routine fortran"

enddo


!----
! End
!----
! Deallocate the temporary array
deallocate(lstelt)

return
end subroutine usvist

